import { reactive } from "vue"
import { NiConfig } from "./types"

const defaultConfig = reactive<NiConfig>({
    logoName: ['星', '撰'],
    size: 'default',
    zIndex: 2000,
    namespace: 'ni',
})

export default defaultConfig

function setNiConfig(config: Partial<NiConfig>) {
    Object.assign(defaultConfig, config)
}

export { setNiConfig }
